#!/bin/bash

# 定义文件路径
file_path="/etc/kylin-firewall/kylin-firewall.conf"

# 检查文件是否存在
if [ -e "$file_path" ]; then
    # 检查文件中是否已有 mode=off 的行，如果有，则注释掉
    grep -q '^Mode=off' "$file_path" && sed -i 's/^Mode=off/#Mode=off/' "$file_path" || echo "#Mode=off" >> "$file_path"

    # 添加新的行 Zone=disable 到文件
    echo "Zone=disable" >> "$file_path"

    echo "内容已成功添加到 $file_path 文件中。"
else
    echo "文件 $file_path 不存在。"
fi
